User Tools

Site Tools


admins:ezabainstallatio

Instaliranje e-zaba USB tokena na Linux (OpenSuse 11.3 i 12.1)

:!: Zaba ima ok dokumentaciju ali fali završni dio Load-anje security modula

Potrebni software

Trebate skinuti (download) slijedeci software sa zaba.hr.

32-bit

64-bit

Pomocu Install/Remove Software instalirati gore skinuti softvar jer ce on adekvatno naci vecinu potrebnih dependencies. Zypper, Apper i KPackageKit znaju štekati s dependencies.

:!: Ako vam OpenSuse automatski ne otvara .rpm fileove s Install/Remove Software to možete promjeniti u Meni→Applications→Configure Desktop→File Associations. Tamo umjesto Find file type or filename pattern upisite rpm. Onda odaberite application→x-rpm pa pod Application preference order gumbom Move up postavite Install/Remove Software na prvu poziciju.

Firefox setup

Firefox vam treba imati java plugin verzije veće od 1.6.0_24. Mora biti Sun-ov, a ne openjdk. To mozete provjeriti tako da otvorite firefox pa umjesto web adrese upiste about:plugins pa tipka Enter. Otvorit će se stranica i prikazati sve load-ane plugin-ove. Ako tamo pise Java(TM) Plug-in 1.6.0_xx (xx mora biti veći od 23) stvar stima. Ako ne onda morate instalirati pravi java plugin. To možete pomocu Install/Remove Software da odaberete java-1_6_0-sun i java-1_6_0-sun-plugin ili manualno. :!: za OpenSuse 12.1 ide samo manualno instaliranje jer java-sun nije vise u standardnoj distribuciji.

Manualno instaliranje java-sun-1.6.0_xx

Ako nemate potrebnu java-u. Odite na www.java.com i odabrite Download pa izaberite Linux rpm ili Linux x64 rpm ovisno o vasem sistemu. Instalirajte skinuti .rpm prema gore opisanoj proceduri.

Onda morate u vašem firefox profilu naći plugin direktori (ako ne postoji stvoriti ga) i tamo napraviti link na java plugin. Ako ne znate gdje vam je firefox profile direktorij u firefox-u umjesto web adrese upisite about:support i otvoriti će se Troubleshooting Information stranica. Pod Application Basics postoji Profile Directory i gumb Open Containing Folder koji će otvoriti vas trenutni profile folder (zapamtie njegov path). Sada se prebacite u vas profile direktorij. U mom slučaju to je (koristeći terminal):

cd ~/.mozilla/firefox/df23s465.default

Ako nema plugins direktorija:

mkdir plugins

Onda:

cd plugins
ln -s /lokacija/java/plugina/libnpjp2.so

:!: Za system wide instalaciju firefox plugina pogledajte Installing firefox on Linux - System Wide.

Isključivanje nepotrebnog java plugina

Ako su kojim slučajem više java plugina aktivna treba nepotrebne iskljuciti. To radite u firefox-u odabirom Tools→Add-ons→Plugins pa gumb Disable kod željenog plugin-a.

Load-anje security modula

Ovo su zaboravili napisati u službenoj dokumentaciji. Vrlo je jednostavno ali stvar nece raditi bez toga. U Firefox-u trebate ići na Edit→Preferences→Advanced onda kliknuti gumb Security Devices. Tamo bi medu modulima trebao biti modul koji u svom path-u ima libeTPkcs11.so ako ga nema trebate ga load-ati klikom na gumb Load te odabrati /usr/lib/libeTPkcs11.so ili /usr/lib64/libeTPkcs11.so ovisno da li imate OpenSuse 32-bit ili 64-bit.

Nakon ovog koraka ako već niste rigistrirajte se na https://www.zaba.hr/ereg/index.htm

Sada ste spremini koristiti eZabu.

Problemi

Podrška za kriptografski uređaj nije instalirana !'eTPkcs11'

Od 4.6.2012 korisnici javljaju da im firefox izbacuje gresku “Podrška za kriptografski uređaj nije instalirana !'eTPkcs11'”.

Odgovor od ezabe stigao je 16.04.2012.:

Problem s dohvatom appletom i prijavom na Linux OS je otklonjen

Applet nije učitan. Neuspješno pokretanje potrebnih resursa. Molimo, obratite se na helpdesk radi informacija o načinu instalacije istih.

Ako se ova greška javlja nakon sto je sve neko vrijeme radilo onda je vjerovatno firefox automatski, radi vaše sigurnosti deaktivirao staru verziju java plugina. Problem se riješava instaliranjem najnovije verzije java-e (i pripadnog plugina).

Privremeno dok ne instalirate novu javu mozete manualno aktivirati postojeci java plugin u Tools → Add-ons → Plugins. Ova aktivacija ne mora uvijek upaliti jer postoji i provjera sa serverske strane stoga je uvijek bolje instalirati novu javu.

The publisher cannot be verified by a trusted source

Ako vam se javlja greška “The publisher cannot be verified by a trusted source …” nakon sto je aplikacija vec radila, obicno pomogne da obrisete .java direktorij u svom HOME direktoriju pa restartate firefox.

admins/ezabainstallatio.txt · Last modified: 2013/01/15 10:47 by kodmasin